aboutsummaryrefslogtreecommitdiffhomepage
path: root/configure
diff options
context:
space:
mode:
authorGravatar Vijay Vasudevan <vrv@google.com>2015-12-02 15:04:40 -0800
committerGravatar Vijay Vasudevan <vrv@google.com>2015-12-02 15:04:40 -0800
commitbf6b536bde7d8060c489b51fedb58968b8cbfd7c (patch)
treeabdafce531563adae9a811d8994477f020979dec /configure
parentfa095c5db0ac9cfe2328a19b32ae208e58e3746a (diff)
TensorFlow: Upstream changes to git.
Change 109240606 Fix typo Change 109240358 Fix bug in Concat's shape inference due to legacy scalar handling. The shape function was inadvertently converting outputs of unknown shape (rank=None) to vectors of unknown length (rank=1), due to inability to distinguish between legacy scalars and vectors, because `max(1, None)` is 1. Change 109237152 Remove numarray requirement in python_config. Change 109234003 Fix typo in elu documentation. Change 109232946 Python must now be configured via ./configure script Change 109232134 Backported fixes to the tensor comparison operators from the public Eigen repository Change 109231761 Test invalid inputs to softmax_cross_entropy_with_logits. Change 109230218 Backported fixes to the tensor comparison operators from the public Eigen repository Change 109229915 Correct comments in seq2seq to show the right input types for embedding models. (Thanks to hugman@github for bringing this up.) Change 109229118 Fix resize_images example in documentation and allow resize_images to run on a single image with partially-known shape. Change 109228940 Fix demo and node add/remove button spacing Change 109227909 Include Elu in the NN docs. Change 109227059 Adds variable_op_scope and makes variable_scope always add a name_scope. This creates an op scope for variables that makes it easy to create independent operations with a default name by making that name unique for the current scope and it allows explicit names that are not made unique. Change 109224492 Streamline yuv -> rgb conversion to be done in one pass in native code. The entire process now takes ~2ms (including the ByteBuffer.get() calls), down from 10+ ms when the arrays were being interleaved in Java prior to conversion. Also abstracting common yuv->rgb color conversion into helper method. Change 109224389 Add ability to move nodes in and out of auxiliary nodes in graph. Change 109217177 Update generated Op docs. Change 109215030 Implementation of the ELU activation function: http://arxiv.org/abs/1511.07289 Change 109209848 When GPUBFCAllocator runs out of memory, also log a summary of chunks in use by size. Change 109206569 Switched to the public version of the Eigen::sign method since it supports complex numbers. Change 109199813 Modify tensorflow.SequenceExample to support multiple-length sequences. Base CL: 109241553
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure34
1 files changed, 30 insertions, 4 deletions
diff --git a/configure b/configure
index 030300e23a..48ebebedf8 100755
--- a/configure
+++ b/configure
@@ -1,12 +1,38 @@
#!/bin/bash
+## Set up python-related environment settings
+while true; do
+ fromuser=""
+ if [ -z "$PYTHON_BIN_PATH" ]; then
+ default_python_bin_path=$(which python)
+ read -p "Please specify the location of python. [Default is $default_python_bin_path]: " PYTHON_BIN_PATH
+ fromuser="1"
+ if [ -z "$PYTHON_BIN_PATH" ]; then
+ PYTHON_BIN_PATH=$default_python_bin_path
+ fi
+ fi
+ if [ -e "$PYTHON_BIN_PATH" ]; then
+ break
+ fi
+ echo "Invalid python path. ${PYTHON_BIN_PATH} cannot be found" 1>&2
+ if [ -z "$fromuser" ]; then
+ exit 1
+ fi
+ PYTHON_BIN_PATH=""
+ # Retry
+done
+
+# Invoke python_config and set up symlinks to python includes
+(./util/python/python_config.sh --setup "$PYTHON_BIN_PATH";) || exit -1
+
## Set up Cuda-related environment settings
while [ "$TF_NEED_CUDA" == "" ]; do
- read -p "Do you wish to build TensorFlow with GPU support? [y/n] " INPUT
+ read -p "Do you wish to build TensorFlow with GPU support? [y/N] " INPUT
case $INPUT in
- [Yy]* ) echo -e "GPU support will be enabled for TensorFlow\n"; TF_NEED_CUDA=1;;
- [Nn]* ) echo -e "No GPU support will be enabled for TensorFlow\n"; TF_NEED_CUDA=0;;
+ [Yy]* ) echo "GPU support will be enabled for TensorFlow"; TF_NEED_CUDA=1;;
+ [Nn]* ) echo "No GPU support will be enabled for TensorFlow"; TF_NEED_CUDA=0;;
+ "" ) echo "No GPU support will be enabled for TensorFlow"; TF_NEED_CUDA=0;;
* ) echo "Invalid selection: " $INPUT;;
esac
done
@@ -77,7 +103,7 @@ CUDNN_INSTALL_PATH="$CUDNN_INSTALL_PATH"
EOF
function UnofficialSetting() {
- echo -e "\nWARNING: You are configuring unofficial settings in TensorFlow. Because some external libraries are not backward compatible, these settings are largely untested and unsupported. \n"
+ echo -e "\nWARNING: You are configuring unofficial settings in TensorFlow. Because some external libraries are not backward compatible, these settings are largely untested and unsupported. \n" 1>&2
# Configure the compute capabilities that TensorFlow builds for.
# Since Cuda toolkit is not backward-compatible, this is not guaranteed to work.